=== debian/changelog ===
strawberry (1.0.5-1~mx21+1) mx; urgency=medium

  * Import new upstream 1.0.5 release:
    - Bugfixes:
      - Fixed smart playlist filetype search.
      - Fixed Radio Paradise URLs to use HTTPS instead of HTTP.
      - Fixed horizontal scrolling not affecting currently playing track (#952).
      - Fixed keep running in the background when window is closed with
         Wayland (#964).
      - Fixed percent-encoding of URLs when loading and saving XSPF
        playlists (#821).
      - Fixed fancy tabbar context menu showing on right clicks outside of
        tabbar when a song is playing.
      - Fixed possible duplicating songs in the database when moving songs to
        the collection using the organize feature.
    - Enhancements
      - Show more details in error dialog on GStreamer errors (#958).
      - Allow setting blur amount of playlist background image up to
        100px (#939).
      - Include 128x128 icon sizes (#954).
      - Show right click copy context menu in context view on top text and
        lyrics (#965).
      - Improve fading between album covers in context view.
      - Added option for overwriting database playcounts in collection
        settings (#962).
      - Added option for disabling bar on currently playing track (#972).
      - (Debian) Added Qt 6 support to debian files and build with Qt 6 for
        Debian Bookworm, Ubuntu Jammy and newer.

  * debian/control:
    - drop libplist-dev and libglib2.0-dev as build-deps, since they get pulled
      in by libgpod-dev or its dependencies.
    - update long description.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 16 Jun 2022 11:41:59 -0700

strawberry (1.0.4-1~mx21+1) mx; urgency=medium

  * Import new upstream 1.0.4 release:
    - Bugfixes:
      - Fixed use-after-free memory in ALSA PCM device finder.
      - Translate global shortcuts.
    - Enhancements
      - Added save all playlists action.
    - Other:
      - Removed use of custom font in context.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 19 Apr 2022 14:22:42 -0700

strawberry (1.0.3-1~mx21+1) mx; urgency=medium

  * Import new upstream 1.0.3 release:
    - Bugfixes:
      - Remove slash and backslash from filenames when saving album covers using
        album directory cover filenames.
      - Remove playlist file-extensions from accepted audio file extensions.
      - Fixed Qobuz requests only receiving the first 50 albums.
    - New features:
      - Added support for bs2b (Improved headphone listening of stereo audio
        records using Bauer stereophonic-to-binaural DSP) (#249).

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 28 Mar 2022 12:21:35 -0700

strawberry (1.0.2-1~mx21+1) mx; urgency=medium

  * Import new upstream 1.0.2 release: 
    - Fixed showing menu when clicking icon for collection and internet search
      tool buttons
    - Fixed ignoring devices with system mounts as defined by GIO (#410).
    - Fixed updating database when deleting songs from filesystem devices.
    - Fixed unregistered metatype when listing songs from MTP devices with Qt 6.
    - Fixed using entered password when testing Subsonic settings before
      pressing save (#879).
    - Fixed downloading Subsonic album covers.
    - Fixed subsonic album covers downloaded several times for each album when
      MD5 authentication was enabled (#885).
    - Fixed volume going to 100% when pressing volume down with MRPIS2 and
      global shortcuts (#884).
    - Fixed incorrect rounding when setting volume through MPRIS2 (#894).
    - Fixed delete from disk not showing up in the menu when one or more CUE
      songs were selected.
    - Fixed possible crashes when switching songs when fading is enabled (#890).
    - Fixed X11 global shortcuts not working unless window was in focus with Qt
      6.2 and higher (#893).
    - Fixed scrobbler re-sending scrobbles to fast on error (#898).
   - Enhancements
    - Log Qt version on startup.
    - Added button for deleting existing Subsonic songs (#883).
    - Make collection watcher ignore files with "qt_temp" filename and tmp
      extension.
    - Require Qt 5.9 or higher.
    - Added scrollbars to edit tag dialog (#888).
    - Added advanced settings for configuring collection watcher.
    - Disable open audio CD menu when compiled without audio CD support.
    - Replaced use of deprecated QMouseEvent constructor as of Qt 6.4.
    - Replaced use of deprecated QCryptographicHash::addData overload as of Qt 6.4.
   - Removed features:
    - Removed broken "nomedia" / "nomusic" file handling.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 01 Mar 2022 14:19:39 -0800

strawberry (1.0.1-1~mx19+1) mx; urgency=medium

  * Import new upstream 1.0.1 release:
    - Bugfixes:
      - Fixed collection and internet search filter tool button menu arrow
        overlap (#796).
      - Fixed stop after this track button with Qt 6 (#795).
      - Fixed not updating the URL when songs were moved on disk when the
        fingerprinting feature is enabled.
      - Fixed SQL query error for songs with an invalid modification time.
      - Fixed blocky rendering of the currently playing track with high
        resolution screens (#794).
      - Fixed incorrect playlist column filesize for radio streams.
      - Fixed deleting embedded album cover from Ogg songs.2
      - Fixed parsing of Cue tracks with 1-digit minutes (#836).
      - Fixed updating of playlist summary after reloading items when adding
        songs from files outside of the collection (#848).
      - Fixed always saving metadata when saving playlists for Tidal, Qobuz and
        Subsonic songs independent of playlist setting (#851).
      - Fixed setting media shortcuts when using kglobalaccel (#849).
      - Fixed parsing of Genius lyrics when they are sometimes received in a
        different HTML format.
      - Fixed saving MP4 specific tags as UTF-8 (#830).
      - Fixed clearing "manually set" cover when saving album covers embedded

