=== debian/control ===
Source: strawberry
Section: sound
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Jonas Kvinge <jonas@jkvinge.net>
Build-Depends: cmake (>= 3.0),
               debhelper-compat (= 12),
               libasound2-dev,
               libboost-dev,
               libcdio-dev,
               libchromaprint-dev,
               libdbus-1-dev,
               libfftw3-dev,
               libgnutls28-dev,
               libgpod-dev (>= 0.7.92),
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libmtp-dev (>= 1.0),
               libprotobuf-dev,
               libpulse-dev,
               libqt5x11extras5-dev (>= 5.9),
               libsqlite3-dev  (>= 3.7),
               libtag1-dev,
               libusbmuxd-dev,
               protobuf-compiler,
               qtbase5-dev (>= 5.9),
               qtbase5-dev-tools (>= 5.9),
               qtbase5-private-dev (>= 5.9),
               qttools5-dev (>= 5.8),
               qttools5-dev-tools (>= 5.9)
Standards-Version: 3.9.8

Package: strawberry
Architecture: any
Depends: gstreamer1.0-alsa,
         gstreamer1.0-plugins-base,
         gstreamer1.0-plugins-good,
         gstreamer1.0-pulseaudio,
         libqt5sql5-sqlite (>= 5.9),
         libsqlite3-0,
         ${misc:Depends},
         ${shlibs:Depends}
Homepage: http://www.strawbs.org/
Description: Audio player and music collection organizer
 Strawberry is a music player aimed at music collectors and audiophiles.
 .
 Features:
  - Play and organize music
  - Supports WAV, FLAC, WavPack, Ogg Vorbis, Speex, MPC, TrueAudio, AIFF, MP4,
    MP3 and ASF audio formats
  - Audio CD playback
  - Native desktop notifications
  - Playlist management and playlists in multiple formats
  - Smart and dynamic playlists
  - Advanced audio output and device configuration for bit-perfect playback
    on Linux
  - Edit tags on audio files
  - Automatically retrieve tags from MusicBrainz
  - Album cover art from Last.fm, Musicbrainz, Discogs, Musixmatch, Deezer,
    Tidal, Qobuz and Spotify
  - Song lyrics from AudD, Genius, Musixmatch, ChartLyrics, lyrics.ovh and
    lololyrics.com
  - Audio analyzer
  - Audio equalizer
  - Transfer music to mass-storage USB players, MTP compatible devices
    and iPod Nano/Classic
  - Scrobbler with support for Last.fm, Libre.fm and ListenBrainz
  - Streaming support for Subsonic-compatible servers
  - Unofficial streaming support for Tidal and Qobuz
 .
 It is a fork of Clementine. The name is inspired by the band Strawbs.
