=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ 

override_dh_auto_clean:
	rm -f dist/macos/Info.plist
	rm -f dist/unix/PKGBUILD
	rm -f dist/unix/strawberry.spec
	rm -f dist/scripts/maketarball.sh
	rm -f dist/windows/strawberry.nsi
	rm -f src/translations/translations.pot
	dh_auto_clean

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_installchangelogs:
	dh_installchangelogs Changelog

#override_dh_dwz:
# disable, since it results in a FTBFS due to too few files.
