## strawberry 1.0.6

=== debian/changelog ===
strawberry (1.0.6-1) unstable; urgency=medium

  * New upstream version
  * Drop patches adopted upstream, refresh others
  * Add lintian override

 -- Peter Blackman <peter@pblackman.plus.com>  Mon, 18 Jul 2022 11:00:00 +0000

strawberry (1.0.5-2) unstable; urgency=medium

  * Fix msgfmt errors
  * Add lintian override
  * Fix for invalid ctime (Closes: #1014523)
  * Include import from Clementine script (needs sqlite3)

 -- Peter Blackman <peter@pblackman.plus.com>  Thu, 14 Jul 2022 16:00:00 +0000

strawberry (1.0.5-1) unstable; urgency=medium

  * Initial release (Closes: #913079)

 -- Peter Blackman <peter@pblackman.plus.com>  Mon, 13 Jun 2022 16:18:35 +0000
