=== debian/control ===
Source: strawberry
Homepage: https://strawberrymusicplayer.org
Section: sound
Priority: optional
Maintainer: Peter Blackman <peter@pblackman.plus.com>
Build-Depends: debhelper-compat (= 13),
               cmake,
               protobuf-compiler,
               libglib2.0-dev,
               libdbus-1-dev,
               libgnutls28-dev,
               libprotobuf-dev,
               libboost-dev,
               libsqlite3-dev,
               libasound2-dev,
               libpulse-dev,
               libtag1-dev,
               qtbase5-private-dev,
               qtbase5-dev-tools,
               qttools5-dev,
               libqt5x11extras5-dev,
               libgstreamer1.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libcdio-dev,
               libgpod-dev,
               libmtp-dev,
               libchromaprint-dev,
               libfftw3-dev,
               libvlc-dev
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/strawberry
Vcs-Git: https://salsa.debian.org/debian/strawberry.git

Package: strawberry
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqt5sql5-sqlite,
         gstreamer1.0-plugins-base,
         gstreamer1.0-plugins-good,
         sqlite3
Recommends: gstreamer1.0-alsa,
            gstreamer1.0-pulseaudio
Suggests: gstreamer1.0-plugins-bad,
          gstreamer1.0-plugins-ugly,
Description: audio player and music collection organizer
 Strawberry is a music player aimed at music collectors and audiophiles.
 It is a fork of Clementine. The name is inspired by the band Strawbs.
 .
 Features:
  - Play and organize music
  - Supports WAV, FLAC, WavPack, Ogg Vorbis, Speex, MPC, TrueAudio,
  -   AIFF, MP4, MP3 and ASF
  - Audio CD playback
  - Native desktop notifications
  - Playlist management
  - Playlists in multiple formats
  - Advanced audio and device configuration for bit-perfect playback on Linux
  - Edit tags on audio files
  - Automatically retrieve tags from MusicBrainz
  - Album cover art from Last.fm, Musicbrainz, Discogs, Musixmatch, Deezer,
  -   Tidal, Qobuz and Spotify
  - Song lyrics from AudD, Genius, Musixmatch, ChartLyrics, lyrics.ovh
  -   and lololyrics.com
  - Support for multiple backends
  - Audio analyzer
  - Audio equalizer
  - Transfer music to mass-storage USB players, MTP compatible devices
  -   and iPod Nano/Classic
  - Scrobbler with support for Last.fm, Libre.fm and ListenBrainz
  - Streaming support for Subsonic-compatible servers
  - Unofficial streaming support for Tidal and Qobuz
