## strawberry 1.0.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -32,14 +32,22 @@
 
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
+if(MSVC)
+  set(CMAKE_C_STANDARD 99)
+else()
+  set(CMAKE_C_STANDARD 11)
+endif()
+
+set(CMAKE_C_STANDARD_REQUIRED ON)
+
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 if(MSVC)
-  list(APPEND COMPILE_OPTIONS /std:c++17 /MP)
+  list(APPEND COMPILE_OPTIONS /MP)
 else()
   list(APPEND COMPILE_OPTIONS
-    $<$<COMPILE_LANGUAGE:C>:-std=c99>
+    $<$<COMPILE_LANGUAGE:C>:-std=c11>
     $<$<COMPILE_LANGUAGE:CXX>:-std=c++17>
     -Wall
     -Wextra
@@ -398,8 +406,3 @@
   DEPENDS "Unix or Windows" "NOT APPLE"
 )
 
-optional_component(GIO_UNIX ON "Devices: GIO device backend (Unix support)"
-  DEPENDS "libgio-unix" GIO_UNIX_FOUND
-  DEPENDS "Unix" "UNIX"
-)
-
