=== src/CMakeLists.txt ===
--- 
+++ 
@@ -186,6 +186,7 @@
   dialogs/deleteconfirmationdialog.cpp
   dialogs/lastfmimportdialog.cpp
   dialogs/snapdialog.cpp
+  dialogs/saveplaylistsdialog.cpp
 
   widgets/autoexpandingtreeview.cpp
   widgets/busyindicator.cpp
@@ -411,5 +412,3 @@
   dialogs/errordialog.h
   dialogs/console.h
   dialogs/edittagdialog.h
-  dialogs/trackselectiondialog.h
-  dialogs/addstreamdialog.h
