=== debian/changelog ===
strawberry (1.0.7-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Wed, 17 Aug 2022 15:18:42 -0400

strawberry (1.0.7-1) unstable; urgency=medium

  * New upstream version

 -- Peter Blackman <peter@pblackman.plus.com>  Tue, 26 Jul 2022 13:00:00 +0100

strawberry (1.0.6-1~bpo11+1) bullseye-backports; urgency=medium

  * No change rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Mon, 18 Jul 2022 14:52:34 -0400
