## strawberry 1.0.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,10 @@
 project(strawberry)
 
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.7)
 cmake_policy(SET CMP0054 NEW)
+if (CMAKE_VERSION VERSION_GREATER_EQUAL 3.12)
+  cmake_policy(SET CMP0074 NEW)
+endif()
 
 include(CheckCXXCompilerFlag)
 include(CheckCXXSourceRuns)
@@ -94,6 +97,8 @@
   SET_PROPERTY(GLOBAL PROPERTY RULE_LAUNCH_LINK ${CCACHE_EXECUTABLE})
 endif()
 
+option(USE_ICU "Use ICU" ON)
+
 find_package(PkgConfig REQUIRED)
 find_package(Boost REQUIRED)
 find_package(Threads)
@@ -101,7 +106,14 @@
 if(Backtrace_FOUND)
   set(HAVE_BACKTRACE ON)
 endif()
-find_package(Iconv)
+if(USE_ICU)
+  find_package(ICU COMPONENTS uc i18n REQUIRED)
+  if(ICU_FOUND)
+    set(HAVE_ICU ON)
+  endif()
+else()
+  find_package(Iconv)
+endif()
 find_package(GnuTLS REQUIRED)
 find_package(Protobuf REQUIRED)
 if(NOT Protobuf_PROTOC_EXECUTABLE)
@@ -397,12 +409,3 @@
   DEPENDS "gstreamer" GSTREAMER_FOUND
 )
 
-optional_component(UDISKS2 ON "Devices: UDisks2 backend"
-  DEPENDS "D-Bus support" DBUS_FOUND
-)
-
-optional_component(GIO ON "Devices: GIO device backend"
-  DEPENDS "libgio" GIO_FOUND
-  DEPENDS "Unix or Windows" "NOT APPLE"
-)
-
