=== debian/changelog ===
strawberry (1.0.8-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Wed, 14 Sep 2022 13:57:31 -0400

strawberry (1.0.8-1) unstable; urgency=medium

  * New upstream version
  * Refresh patches
  * Add libicu-dev to build depends

 -- Peter Blackman <peter@pblackman.plus.com>  Wed, 31 Aug 2022 16:00:00 +0100
