=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
                libasound2-dev,
                libpulse-dev,
                libtag1-dev,
+               libicu-dev,
                qtbase5-private-dev,
                qtbase5-dev-tools,
                qttools5-dev,
@@ -22,7 +23,7 @@
                libgstreamer1.0-dev,
                libgstreamer-plugins-base1.0-dev,
                libcdio-dev,
-               libgpod-dev,
+               libgpod-dev [!hurd-i386],
                libmtp-dev,
                libchromaprint-dev,
                libfftw3-dev,
