## strawberry 1.0.9

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.7)
 
 if(HAVE_TRANSLATIONS)
   include(../cmake/Translations.cmake)
