=== debian/changelog ===
strawberry (1.0.9-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Thu, 22 Sep 2022 15:33:58 -0400

strawberry (1.0.9-1) unstable; urgency=medium

  * New upstream version

 -- Peter Blackman <peter@pblackman.plus.com>  Wed, 21 Sep 2022 16:00:00 +0100
