=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                libgstreamer1.0-dev,
                libgstreamer-plugins-base1.0-dev,
                libcdio-dev,
-               libgpod-dev [!hurd-i386],
+               libgpod-dev,
                libmtp-dev,
                libchromaprint-dev,
                libfftw3-dev,
