## strawberry 1.0.10

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -162,6 +162,8 @@
   lyrics/musixmatchlyricsprovider.cpp
   lyrics/chartlyricsprovider.cpp
 
+  providers/musixmatchprovider.cpp
+
   settings/settingsdialog.cpp
   settings/settingspage.cpp
   settings/behavioursettingspage.cpp
@@ -411,4 +413,3 @@
   dialogs/about.h
   dialogs/errordialog.h
   dialogs/console.h
-  dialogs/edittagdialog.h
