=== debian/changelog ===
strawberry (1.0.10-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 26 Oct 2022 15:37:19 -0700

strawberry (1.0.10-1) unstable; urgency=medium

  * New upstream version

 -- Peter Blackman <peter@pblackman.plus.com>  Wed, 26 Oct 2022 11:11:11 +0100
