=== debian/rules ===
--- 
+++ 
@@ -18,3 +18,7 @@
 	      debian/strawberry/usr/libexec/strawberry-tagreader
 	cp -v dist/scripts/import-from-clementine.sh \
 	      debian/strawberry/usr/bin/strawberry-import-from-clementine
+
+# No dbgsym package:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
